.loader {
    width: 100%;
    height: 100vh;
    background-color: #212121;
    position: fixed;
    z-index: 200;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: var(--main-transition);
    flex-direction: column;
    gap: 20px;
}
.lds-ripple {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
  }
  .lds-ripple div {
    position: absolute;
    border: 4px solid var(--neon-yellow);
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
  }
  .lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
  }
  @keyframes lds-ripple {
    0% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 0;
    }
    4.9% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 0;
    }
    5% {
      top: 36px;
      left: 36px;
      width: 0;
      height: 0;
      opacity: 1;
    }
    100% {
      top: 0px;
      left: 0px;
      width: 72px;
      height: 72px;
      opacity: 0;
    }
  }
  
.loader h3 {
    font-size: 20px;
    color: var(--neon-yellow);
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 5px;
}